Package com.documentum.fc.client.search

# Interface IDfAttrExpression

All Superinterfaces:
  `IDfExpression`

All Known Subinterfaces:
  `IDfRelativeDateExpression`, `IDfSimpleAttrExpression`, `IDfValueListAttrExpression`, `IDfValueRangeAttrExpression`

public interface IDfAttrExpression extends IDfExpression
Defines a base interface for the attribute search expression.

See Also:
  - `IDfExpressionSet`
  - `IDfSimpleAttrExpression`
  - `IDfValueListAttrExpression`
  - `IDfValueRangeAttrExpression`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `SEARCH_OP_UNDEFINED`
  Search operation code: no operation defined.

  ### Fields inherited from interface com.documentum.fc.client.search.IDfExpression

  `DATE_FORMAT_DEFAULT, EXPR_TYPE_FULLTEXT, EXPR_TYPE_MLT, EXPR_TYPE_RELATIVE_DATE, EXPR_TYPE_SET, EXPR_TYPE_SIMPLE_ATTR, EXPR_TYPE_UNDEFINED, EXPR_TYPE_VALUE_LIST_ATTR, EXPR_TYPE_VALUE_RANGE_ATTR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAttrName()`
  Gets the attribute name.
  `String`
  `getSearchOperation()`
  Gets the string representation of the search operation.
  `int`
  `getSearchOperationCode()`
  Gets the code of the search operation.
  `int`
  `getValueDataType()`
  Gets the data type of the value.
  `boolean`
  `isCaseSensitive()`
  Indicates whether the search operation is case sensitive.
  `boolean`
  `isRepeated()`
  Indicates whether the attribute is repeated.

  ### Methods inherited from interface com.documentum.fc.client.search.IDfExpression

  `acceptVisitor, getDateFormat, getExpressionType, setDateFormat`

- ## Field Details

  - ### SEARCH_OP_UNDEFINED

    static final int SEARCH_OP_UNDEFINED
    Search operation code: no operation defined.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getAttrName

    String getAttrName()
    Gets the attribute name.
    Returns:
      The attribute name.

  - ### getValueDataType

    int getValueDataType()
    Gets the data type of the value.
    Returns:
      The data type of the value (constants defined in `IDfValue`).
    See Also:
      - `IDfValue.DF_STRING`
      - `IDfValue.DF_ID`
      - `IDfValue.DF_INTEGER`
      - `IDfValue.DF_BOOLEAN`
      - `IDfValue.DF_DOUBLE`
      - `IDfValue.DF_TIME`

  - ### getSearchOperationCode

    int getSearchOperationCode()
    Gets the code of the search operation.
    Returns:
      The search operation code (constants defined in `IDfAttrExpression` and `IDfSimpleAttrExpression`).
    See Also:
      - `SEARCH_OP_UNDEFINED`
      - `IDfSimpleAttrExpression.SEARCH_OP_CONTAINS`
      - `IDfValueListAttrExpression.SEARCH_OP_IN`
      - `IDfValueRangeAttrExpression.SEARCH_OP_BETWEEN`

  - ### getSearchOperation

    String getSearchOperation()
    Gets the string representation of the search operation.
    Returns:
      The search operation converted to string.

  - ### isCaseSensitive

    boolean isCaseSensitive()
    Indicates whether the search operation is case sensitive.
    Returns:
      `true` if the search operation is case sensitive; `false` otherwise.

  - ### isRepeated

    boolean isRepeated()
    Indicates whether the attribute is repeated.
    Returns:
      `true` if the attribute is repeated; `false` otherwise.